package com.kingdee.eas.custom.entryconfig;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDataConfigInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractDataConfigInfo()
    {
        this("id");
    }
    protected AbstractDataConfigInfo(String pkField)
    {
        super(pkField);
        put("FieldEntry", new com.kingdee.eas.custom.entryconfig.DataConfigFieldEntryCollection());
        put("SelectFieldEntry", new com.kingdee.eas.custom.entryconfig.DataConfigSelectFieldEntryCollection());
        put("entrys", new com.kingdee.eas.custom.entryconfig.DataConfigEntryCollection());
    }
    /**
     * Object: 数据配置 's 分录 property 
     */
    public com.kingdee.eas.custom.entryconfig.DataConfigEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.entryconfig.DataConfigEntryCollection)get("entrys");
    }
    /**
     * Object:数据配置's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 数据配置 's 可选字段 property 
     */
    public com.kingdee.eas.custom.entryconfig.DataConfigFieldEntryCollection getFieldEntry()
    {
        return (com.kingdee.eas.custom.entryconfig.DataConfigFieldEntryCollection)get("FieldEntry");
    }
    /**
     * Object: 数据配置 's 已选字段 property 
     */
    public com.kingdee.eas.custom.entryconfig.DataConfigSelectFieldEntryCollection getSelectFieldEntry()
    {
        return (com.kingdee.eas.custom.entryconfig.DataConfigSelectFieldEntryCollection)get("SelectFieldEntry");
    }
    /**
     * Object:数据配置's 名称property 
     */
    public String getName()
    {
        return getString("name");
    }
    public void setName(String item)
    {
        setString("name", item);
    }
    /**
     * Object:数据配置's osf名称property 
     */
    public String getOsfName()
    {
        return getString("osfName");
    }
    public void setOsfName(String item)
    {
        setString("osfName", item);
    }
    /**
     * Object:数据配置's 描述property 
     */
    public String getRemarks()
    {
        return getString("remarks");
    }
    public void setRemarks(String item)
    {
        setString("remarks", item);
    }
    /**
     * Object:数据配置's 组装sqlproperty 
     */
    public String getSqlStr()
    {
        return getString("sqlStr");
    }
    public void setSqlStr(String item)
    {
        setString("sqlStr", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("C05F068B");
    }
}